MAV_rtorus(3)

NAME
MAV_rtorus - Default object class ``rectangular torus''.

LEVEL
Maverik Level 1

SYNTAX

 typedef struct {
  float radius;
  float width;
  float height;
  float angle;
  int nchips;
  int endcap;
  MAV_surfaceParams *sp;
  MAV_matrix matrix;
  void *userdef;
} MAV_rtorus;

DESCRIPTION
The rectangular torus (a torus with a rectangular cross section) is defined with the centre at the origin and with a radius, radius, a height, height, width, width and to an angular extent, angle, in radians from the X axis around the Z axis.

When rendered, nchips vertices are used (if greater than two and mav_opt_curveLOD is not set) to facet the curved surface defined by the radius. The symbolic constant endcap, set to MAV_TRUE or MAV_FALSE, controls whether or not the object has endfaces or is effectively hollow.